Sequel.migration do
  change do
    create_table(:'SchuelerBasisdaten.dat') do
      primary_key :id
      #Falls notwendig, mit Klasse ergänzen (mit #-Zeichen getrennt)
      String :'Nachname', :null => false
      #
      String :'Vorname', :null => false
      #In der Form TT.MM.JJJJ
      String :'Geburtsdatum', :null => false
      #Als „m“ oder „w“
      String :'Geschlecht', :null => false
      #0: Neuaufnahme 1: Warteliste 2: Aktiv 3: Beurlaubt 6: Extern 8: Abschluss 9: Abgänger ohne Abschluss
      Integer :'Status', :null => false, :default => '0'
      #
      String :'PLZ', :null => true
      #Falls PLZ angegeben, darf Wohnort nicht leer sein!
      String :'Ort', :null => true
      #Mit Hausnr
      String :'Straße', :null => true
      #„J“ oder „N“
      String :'Aussiedler', :null => true, :default => 'N'
      #Als Statistik-Kürzel (z.B. 000 für Deutschland) aus Statkue.mdb, Tabelle „Nationalitäten“
      String :'1. Staatsang.', :null => true
      #Klarttext für Konfession
      String :'Konfession', :null => true
      #Statistik-Kürzel der Konfession aus Statkue.mdb, Tabelle „Religionen“
      String :'StatistikKrz Konfession', :null => true
      #Datum der Aufnahme an Schule
      String :'Aufnahmedatum', :null => true
      #
      String :'Abmeldedatum Religionsunterricht', :null => true
      #
      String :'Anmeldedatum Religionsunterricht', :null => true
      #Als „J“ oder „N“
      String :'Schulpflicht erf.', :null => false
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Reformpädagogik“
      String :'Reform-Pädagogik', :null => true
      #Nummer der Stammschule, nur bei Status = Extern notwendig
      String :'Nr. Stammschule', :null => true
      #Das Schuljahr, in dem sich der Schüler befindet. Muss nicht immer identisch mit dem aktuellen Schuljahr sein (z.B. bei Abgängern)
      Integer :'Jahr', :null => true
      #Der Abschnitt, in dem sich der Schüler befindet. Muss nicht immer identisch mit dem aktuellen Abschnitt sein (z.B. bei Abgängern)
      Integer :'Abschnitt', :null => true
      #Muss identisch sein mit einer Bezeichnung aus Jahrgaenge.dat
      String :'Jahrgang', :null => true
      #Aktuelle Klasse, muss auf einen Eintrag aus Klassen.dat verweisen
      String :'Klasse', :null => true
      #Aktuelle Gliederung (z.B: ***, A01)Als Statistik-Kürzel (z.B. ***, A01) aus Statkue.mdb, Tabelle „Gliederung“, Felder BKAnlage + BKTyp
      String :'Schulgliederung', :null => true
      #Aktuelle Organisationsform. Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Organisationsform“.
      String :'OrgForm', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „ZulKlArt“. Bleibt bei Berufskollegs leer.
      String :'Klassenart', :null => true
      #Nur bei BKAktuelle FachklasseIn der Form BKIndex-Fachklassenschlüssel-Ausprägung (z.B.1-113-00 Bankkaufmann), aus Statkue.mdb, Tabelle „Fachklasse“.
      String :'Fachklasse', :null => true
      #Noch leer lassen
      String :'', :null => true
      #Als „J“ oder „N“
      String :'Verpflichtung Sprachförderkurs', :null => false, :default => 'N'
      #Als „J“ oder „N“
      String :'Teilnahme Sprachförderkurs', :null => false, :default => 'N'
      #
      Integer :'Einschulungsjahr', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „SchuelerUebergangsempfehlung5Jg“.
      String :'Übergangsempf. JG5', :null => true
      #
      Integer :'Jahr Wechsel S1', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „SchuelerErsteSchulformSekI“.
      String :'1. Schulform S1', :null => true
      #
      Integer :'Jahr Wechsel S2', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Förderschwerpunkt“.
      String :'Förderschwerpunkt', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Förderschwerpunkt“.
      String :'2. Förderschwerpunkt', :null => true
      #Als „J“ oder „N“
      String :'Schwerstbehinderung', :null => false, :default => 'N'
      #Als „J“ oder „N“
      String :'Autist', :null => false, :default => 'N'
      #
      String :'LS Schulnr.', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Schulformen“.
      String :'LS Schulform', :null => true
      #Statistik-Kürzel aus Statkue.mdb, Tabelle „Herkunftsschulform“
      String :'Herkunft', :null => true
      #Als TT.MM.JJJJ
      String :'LS Entlassdatum', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „ZulJahrgänge“
      String :'LS Jahrgang', :null => true
      #0: Ja 1: Nein2: Freiw. Rücktritt
      Integer :'LS Versetzung', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Reformpädagogik“
      String :'LS Reformpädagogik', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Gliederung“, Felder BKAnlage + BKTyp
      String :'LS Gliederung', :null => true
      #Nur bei BKAktuelle FachklasseIn der Form BKIndex-Fachklassenschlüssel-Ausprägung (z.B.1-113-00 Bankkaufmann)Aus Statkue.mdb, Tabelle „Fachklasse“
      String :'LS Fachklasse', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Abgangsart“
      String :'LS Abschluss', :null => true
      #Als Statistik-Kürzel aus Statkue.mdb, Tabelle „Abgangsart“
      String :'Abschluss', :null => true
      #
      String :'Schulnr. neue Schule', :null => true
      #
      Integer :'Zuzugsjahr', :null => true
      #Als Statistik-Kürzel (z.B. 000 für Deutschland) aus Statkue.mdb, Tabelle „Nationalitäten
      String :'Geburtsland Schüler', :null => true
      #Als Statistik-Kürzel (z.B. 000 für Deutschland) aus Statkue.mdb, Tabelle „Nationalitäten
      String :'Geburtsland Mutter', :null => true
      #Als Statistik-Kürzel (z.B. 000 für Deutschland) aus Statkue.mdb, Tabelle „Nationalitäten
      String :'Geburtsland Vater', :null => true
      #Als Statistik-Kürzel (z.B. „de“ für Deutsch) aus Statkue.mdb, Tabelle „SchuelerVerkehrssprache“
      String :'Verkehrssprache', :null => true
      #Nur bei Grundschulengültige Einträge0: Kein Kindergarten1: unter 1 Jahr 2: 1 bis unter 2 Jahre 3: 2 bis unter 3 Jahre 4: 3 Jahre und mehr
      String :'Dauer Kindergartenbesuch', :null => true
    end
    create_table(:'SchuelerZusatzdaten.dat') do
      primary_key :id
      #Muss in Verbindung mit Vorname und Geburtsdatum auf einen Eintrag aus SchuelerBasisdaten.dat verweisen. Falls notwendig, mit Klasse ergänzen (mit #-Zeichen getrennt - siehe Beschreibung zu SchuelerBasisdaten.dat)
      String :'Nachname', :null => false
      #
      String :'Vorname', :null => false
      #Als TT.MM.JJJJ
      String :'Geburtsdatum', :null => false
      #
      String :'Namenszusatz', :null => true
      #
      String :'Geburtsname', :null => true
      #
      String :'Geburtsort', :null => true
      #
      String :'Ortsteil', :null => true
      #
      String :'Telefon-Nr.', :null => true
      #
      String :'E-Mail', :null => true
      #Als Statistik-Kürzel (z.B. 163 für Türkei)
      String :'2. Staatsang.', :null => true
      #z.B. aus Einwohnermeldeamt
      String :'Externe ID-Nr.', :null => true
      #
      String :'Sportbefreiung', :null => true
      #
      String :'Fahrschülerart', :null => true
      #
      String :'Haltestelle', :null => true
      #Als Klartextnormalvorzeitigzurückgestellt
      String :'Einschulungsart', :null => true
      #
      String :'Entlassdatum', :null => true
      #Muss auf eine schulinterne Kurzbez. aus Jahrgaenge.dat verweisen
      String :'Entlassjahrgang', :null => true
      #
      String :'Datum Schulwechsel', :null => true
      #
      String :'Bemerkungen', :null => true
    end
    create_table(:'SchuelerErzieher.dat') do
      primary_key :id
      #Muss in Verbindung mit Vorname und Geburtsdatum auf einen Eintrag aus SchuelerBasisdaten.dat verweisen. Falls notwendig, mit Klasse ergänzen (mit #-Zeichen getrennt - siehe Beschreibung zu SchuelerBasisdaten.dat)
      String :'Nachname', :null => false
      #
      String :'Vorname', :null => false
      #Als TT.MM.JJJJ
      String :'Geburtsdatum', :null => false
      #z.B. „Eltern“, „Mutter“, „Vater“ usw.
      String :'Erzieherart', :null => false
      #„Herr“ oder „Frau“
      String :'Anrede 1.Person', :null => false
      #
      String :'Titel 1.Person', :null => true
      #
      String :'Nachname1.Person', :null => false
      #
      String :'Vorname 1.Person', :null => false
      #„Herr“ oder „Frau“
      String :'Anrede 2.Person', :null => true
      #
      String :'Titel 2.Person', :null => true
      #
      String :'Nachname 2.Person', :null => true
      #
      String :'Vorname 2.Person', :null => true
      #
      String :'Straße', :null => false
      #
      String :'PLZ', :null => false
      #
      String :'Ort', :null => false
      #
      String :'Ortsteil', :null => true
    end
    create_table(:'SchuelerTelefonnummern.dat') do
      primary_key :id
      #Muss in Verbindung mit Vorname und Geburtsdatum auf einen Eintrag aus SchuelerBasisdaten.dat verweisen. Falls notwendig, mit Klasse ergänzen (mit #-Zeichen getrennt - siehe Beschreibung zu SchuelerBasisdaten.dat)
      String :'Nachname', :null => false
      #
      String :'Vorname', :null => false
      #Als TT.MM.JJJJ
      String :'Geburtsdatum', :null => false
      #
      String :'Telefonnr.', :null => false
      #Beschreibung der Telefonnr, z.B. „Eltern“, „Handy Schüler“, „Büro Vater“, „Handy Mutter“ usw.
      String :'Art', :null => false
    end
  end
end
